## org.hibernate.engine.jdbc
Class JdbcSupportImpl

    java.lang.Object
      org.hibernate.engine.jdbc.JdbcSupportImpl

All Implemented Interfaces:
  JdbcSupport

    public class JdbcSupportImpl

extends Object
implements JdbcSupport

TODO : javadoc

Author:
  Steve Ebersole

Constructor Summary
`JdbcSupportImpl(boolean useContextualLobCreation)`

Method Summary
`LobCreator` `getLobCreator()` Creates an instance of a `LobCreator` that does not use the underlying JDBC `Connection` to create LOBs.
`LobCreator` `getLobCreator(LobCreationContext lobCreationContext)` Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).
`ResultSet` `wrap(ResultSet resultSet, ColumnNameCache columnNameCache)` Wrap the given `ResultSet` in one that caches the column-name -> column-index resolution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcSupportImpl

    public JdbcSupportImpl(boolean useContextualLobCreation)

Method Detail

### getLobCreator

    public LobCreator getLobCreator()

  Creates an instance of a `LobCreator` that does not use the underlying JDBC `Connection` to create LOBs.

  This method is here solely to support the older, now-deprecated method of creating LOBs via the various `Hibernate.createBlob(byte[])` and `Hibernate.createClob(java.lang.String)` methods on `Hibernate`.

  Specified by:
    `getLobCreator` in interface `JdbcSupport`
  Returns:
    The LOB creator.

### getLobCreator

    public LobCreator getLobCreator(LobCreationContext lobCreationContext)

  Description copied from interface: `JdbcSupport`
  Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).

  Specified by:
    `getLobCreator` in interface `JdbcSupport`
  Parameters:
    `lobCreationContext` - The context in which the LOB is being created
  Returns:
    The LOB creator.

### wrap

    public ResultSet wrap(ResultSet resultSet,
                          ColumnNameCache columnNameCache)

  Description copied from interface: `JdbcSupport`
  Wrap the given `ResultSet` in one that caches the column-name -> column-index resolution.

  Specified by:
    `wrap` in interface `JdbcSupport`
  Parameters:
    `resultSet` - The `ResultSet` to wrap.
    `columnNameCache` - The resolution cache.
  Returns:
    The wrapper.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.